FreeBSD : freeradius -- multiple vulnerabilities (ec2f2ff5-f710-11da-9156-000e0c2e438a)

This script is Copyright (C) 2006-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

The freeradious development team reports :

Multiple issues exist with version 1.0.4, and all prior versions of
the server. Externally exploitable vulnerabilities exist only for
sites that use the rlm_sqlcounter module. Those sites may be
vulnerable to SQL injection attacks, similar to the issues noted
below. All sites that have not deployed the rlm_sqlcounter module are
not vulnerable to external exploits.

The issues are : SQL Injection attack in the rlm_sqlcounter module.
Buffer overflow in the rlm_sqlcounter module, that may cause a server
crash. Buffer overflow while expanding %t, that may cause a server
crash.

See also :

http://www.nessus.org/u?2bbf0a5c

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 6.4
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P)
CVSS Temporal Score : 4.7
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 21679 (freebsd_pkg_ec2f2ff5f71011da9156000e0c2e438a.nasl)

Bugtraq ID: 17171

CVE ID: CVE-2005-4744

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now